Форум русскоязычного сообщества Ubuntu


Автор Тема: Не работает Google Eath 5!  (Прочитано 3705 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Drak

  • Автор темы
  • Гость
Не работает Google Eath 5!
« : 16 Февраль 2009, 12:57:04 »
Привет всем!

Помогите завести Google Eath 5.
Сначала стояла предыдущая версия (4), с русским интерфейсом.
По сверху установил 5.

Запускаюсь. Все русские буквы превратились в какие-то полосочки.
Меню выбора языка нету.
Отинсталировал, убил содержимое google в .config а тагже папку .googleearth.
Установил, запускаюсь, заставка, промелкивает окошко с английским и исчезает.

Вот что в терминале:

Цитировать
Verifying archive integrity... All good.
Uncompressing Google Earth for GNU/Linux 5.0.11337.1968..............................................................
loki_setup: Suspect size value for option option

loki_setup: Suspect size value for option option

loki_setup: Suspect size value for option option

Installing mimetypes...
Installing desktop menu entries...
Installing desktop icon...
./googleearth-bin: relocation error: /usr/lib/i686/cmov/libssl.so.0.9.8: symbol BIO_test_flags, version OPENSSL_0.9.8 not defined in file libcrypto.so.0.9.8 with link time reference


Перестановка не помогает... :'(

Кто нибудь встречался с этим?
« Последнее редактирование: 22 Апрель 2009, 22:57:00 от Drak »

Drak

  • Автор темы
  • Гость
Re: Неработает Google Eath 5!
« Ответ #1 : 19 Февраль 2009, 15:04:05 »
Так... Сначало убил его со всеми папками.

Установил предыдущию версию, четвертую.

Язык на русский менять не стал, установил посверху 5.

Нормально запускается с англизким интерфейсом, работает.

Интерестно почему он не хочет устанавливатся по новой?  :idiot2:

Ладно дальше начались проблемы с русским.

Когда пишеш в поиске то там заместо букв вводятся квадратики...

Тоже самое с интерфейсом. В языковой менюшке заместо "русксий" сидит квадратик.

Помогите это исправить!!!



Оффлайн desktop user

  • Новичок
  • *
  • Сообщений: 23
    • Просмотр профиля
Re: Неработает Google Eath 5!
« Ответ #2 : 13 Март 2009, 22:44:33 »
может это подойдет:
пакет qt4-qtconfig через синаптик. В менюшке система-параметры-настройки qt 4  на вкладке fonts шрифт times new roman , размер 16.
Правда для times new roman требуется пакет microsoft core fonts (установка/удаление программ) или родные шрифты из виндовс.
все еще Ubuntu 8.10 т.к. https://bugs.launchpad.net/ubuntu/+bug/117713

Оффлайн Brainmk

  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Неработает Google Eath 5!
« Ответ #3 : 22 Апрель 2009, 20:18:41 »
Может помочь в установке вот
http://www.google.com/support/forum/p/earth/thread?tid=7b1b524777b9b982&hl=en

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15194
    • Просмотр профиля
    • aetera.net
Re: Неработает Google Eath 5!
« Ответ #4 : 22 Апрель 2009, 21:27:24 »
Ставьте из репа medibuntu, там решено большинство проблем.

Для 9.04:
deb http://packages.medibuntu.org/ jaunty free non-free

Оффлайн Brainmk

  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Неработает Google Eath 5!
« Ответ #5 : 22 Апрель 2009, 21:48:41 »
После установки у меня программа сразу вылетала, затем  стала загружаться и появлялись крякозябры. Здесь нашел выход, все работает
Данную проблему достаточно легко устранить (рецепт для i386):

$cd ~/bin/google-earth$
$ mv libQtCore.so.4 libQtCore.so.4.dist
$ mv libQtGui.so.4 libQtGui.so.4.dist
$ mv libQtNetwork.so.4 libQtNetwork.so.4.dist
$ mv libQtSql.so.4 libQtSql.so.4.dist
$ mv libQtWebKit.so.4 libQtWebKit.so.4.dist
$ mv libQtXml.so.4 libQtXml.so.4.dist

как правило все нужные библиотеки уже находятся в системе, однако бывает что искомых библиотек нет. В таком случае просто установим нужные нам пакеты:

$sudo apt-get install libqtcore4 libqtgui4 libqt4-network libqt4-sql libqt4-webkit libqt4-xml

P.S. чуть позднее всплыл еще один баг, а именно:

googleearth-bin: relocation error: /usr/lib/i686/cmov/libssl.so.0.9.8: symbol BIO_test_flags, version OPENSSL_0.9.8 not defined in file libcrypto.so.0.9.8 with link time reference

решение таково: $mv libcrypto.so.0.9.8 libcrypto.so.0.9.8.dist

Ссылка https://mmarkov.org/wiki/tiki-read_article.php?articleId=7&fullscreen=y

Пользователь решил продолжить мысль 22 Апрель 2009, 22:11:24:
В репозитариях действительно последняя версия для Ubuntu 9.04
sudo aptitude show  googleearth
Пакет: googleearth
Новый: да
Состояние: не установлен
Версия: 5.0.11337.1968-0medibuntu7
Приоритет: дополнительный
Раздел: non-free/net
Сопровождающий: Medibuntu Packaging Team <admin@lists.medibuntu.org>
Размер в распакованном виде: 44,3M
« Последнее редактирование: 22 Апрель 2009, 22:11:24 от Brainmk »

Оффлайн Brainmk

  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Не работает Google Eath 5!
« Ответ #6 : 29 Апрель 2009, 10:59:21 »
Правильное добавление репозитария medibuntu:

sudo wget http://www.medibuntu.org/sources.list.d/jaunty.list --output-document=/etc/apt/sources.list.d/medibuntu.list

sudo aptitude update && sudo aptitude install medibuntu-keyring && sudo aptitude update

Взято здесь https://help.ubuntu.com/community/Medibuntu

 

Страница сгенерирована за 0.058 секунд. Запросов: 22.